Bug 142712 - [maintainer-update] games/ioquake3
[maintainer-update] games/ioquake3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pgollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 09:30 UTC by kamikaze
Modified: 2010-01-15 03:10 UTC (History)
0 users

See Also:


Attachments
file.diff (7.79 KB, patch)
2010-01-11 09:30 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2010-01-11 09:30:05 UTC
Adds optional cURL and mumble support, allows turning off OpenAL.

The devel port is updated to a recent SVN snapshot with a couple of bug fixes and code cleanups.

This update obsoletes ports/141891.

Fix: Patch attached with submission follows:
Comment 1 kamikaze 2010-01-11 15:18:48 UTC
Corrected checksums (I hate Mondays).


diff -u ports/games/ioquake3.orig/Makefile ports/games/ioquake3/Makefile
--- ports/games/ioquake3.orig/Makefile	2010-01-04 20:17:47.000000000 +0100
+++ ports/games/ioquake3/Makefile	2010-01-11 10:24:09.000000000 +0100
@@ -7,6 +7,7 @@
 
 PORTNAME?=	ioquake3
 DISTVERSION?=	1.36
+PORTREVISION?=	1
 CATEGORIES=	games
 MASTER_SITES?=	http://ioquake3.org/files/${DISTVERSION}/
 
@@ -20,16 +21,20 @@
 .endif
 USE_GMAKE=	yes
 
-OPTIONS=	CLIENT "Build client" on \
+OPTIONS+=	CLIENT "Build client" on \
 		GAMELIBS "Build game libraries (when not mandatory)" off \
 		DEDICATED "Build dedicated server" on \
+		CURL "Enable cURL for http/ftp download" on \
+		OPENAL "Enable OpenAL audio output" on \
+		MUMBLE "Enable Mumble support (no dependencies)" on \
 		VORBIS "Enable Ogg Vorbis support" on
 
 MAKE_ARGS+=	DEFAULT_BASEDIR="${Q3DIR}" \
 		DEFAULT_LIBDIR="${LIBDIR}" \
 		HOMEPATH="/.${PORTNAME}" \
+		VERSION="${DISTVERSION}" \
 		ARCH="${ARCH}"
-PLIST_SUB=	LIBDIR="${LIBDIR:S/${PREFIX}\///}" \
+PLIST_SUB+=	LIBDIR="${LIBDIR:S/${PREFIX}\///}" \
 		ARCH="${ARCH}" \
 		BINSUFFIX="${BINSUFFIX}"
 ALL_TARGET=	release
@@ -45,7 +50,7 @@
 MACHINE_ARCH=	${ARCH}
 .include <bsd.cpu.mk>
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if defined(WITHOUT_CLIENT) && defined(WITHOUT_DEDICATED) && \
     defined(WITHOUT_SMP)
@@ -53,8 +58,19 @@
 .endif
 
 .if defined(WITH_CLIENT) || defined(WITH_SMP)
+# cURL
+.if defined(WITH_CURL)
+LIB_DEPENDS+=	curl.5:${PORTSDIR}/ftp/curl
+#MAKE_ARGS+=	USE_CURL_DLOPEN=0
+.else
+MAKE_ARGS+=	USE_CURL=0
+.endif
 # OpenAL
+.if defined(WITH_OPENAL)
 LIB_DEPENDS+=	openal.0:${PORTSDIR}/audio/openal
+.else
+MAKE_ARGS+=	USE_OPENAL=0
+.endif
 # SDL
 USE_SDL=	sdl
 # Vorbis
@@ -62,6 +78,12 @@
 LIB_DEPENDS+=	vorbis.4:${PORTSDIR}/audio/libvorbis
 MAKE_ARGS+=	USE_CODEC_VORBIS=1
 .endif
+# Mumble
+.if defined(WITH_MUMBLE)
+MAKE_ARGS+=	USE_MUMBLE=1
+.else
+MAKE_ARGS+=	USE_MUMBLE=0
+.endif
 .endif
 
 # SMP is only built with CLIENT.
@@ -119,4 +141,4 @@
 	@${ECHO_CMD}
 
 .include "${.CURDIR}/../quake3-data/Makefile.include"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Common subdirectories: ports/games/ioquake3.orig/files and ports/games/ioquake3/files
diff -u ports/games/ioquake3.orig/pkg-descr ports/games/ioquake3/pkg-descr
--- ports/games/ioquake3.orig/pkg-descr	2010-01-04 20:17:47.000000000 +0100
+++ ports/games/ioquake3/pkg-descr	2009-10-23 19:48:12.000000000 +0200
@@ -1,5 +1,11 @@
-This port creates development snapshots of icculus.org/quake3. The project is
-known to seldomly produce releases. Due to the conservative development goals
-of the project, development snapshots are generally considered reliable.
+This project, icculus.org/quake3 (sometimes referred to ioquake3, or ioq3 for
+short) aims to build upon id Software's Quake 3 source code release. The
+source code was released on August 20, 2005 under the GPL. Since then, we have
+been cleaning up, fixing bugs, and adding features. Our permanent goal is to
+create the open source Quake 3 distribution upon which people base their games
+and projects. We also seek to have the perfect version of the engine for
+playing Quake 3: Arena, Team Arena, and all popular mods. This distribution of
+the engine has been ported to many new platforms and has had a slew of new
+features added, along with massive bug extermination.
 
 WWW: http://ioquake3.org/
diff -u ports/games/ioquake3-devel.orig/Makefile ports/games/ioquake3-devel/Makefile
--- ports/games/ioquake3-devel.orig/Makefile	2010-01-04 20:17:56.000000000 +0100
+++ ports/games/ioquake3-devel/Makefile	2010-01-11 10:24:42.000000000 +0100
@@ -7,18 +7,17 @@
 
 PORTNAME=	ioquake3-devel
 DISTVERSION=	1.36_SVN${SVNREVISION}
+PORTREVISION=	0
 MASTER_SITES=	ftp://deponie.yamagi.org/freebsd/distfiles/ioquake3/ \
 		http://deponie.yamagi.org/freebsd/distfiles/ioquake3/
 
 MAINTAINER=	kamikaze@bsdforen.de
 COMMENT=	Development SVN snapshots of ioquake3
 
-BUILD_DEPENDS+=	svnversion:${PORTSDIR}/devel/subversion
-
 PLIST=		${.CURDIR}/../ioquake3/pkg-plist
 PATCHDIR=	${WRKDIR}/freebsd-patchset/
 
-SVNREVISION=	1754
+SVNREVISION=	1771
 BINSUFFIX=	-devel
 
 .include "${.CURDIR}/../ioquake3/Makefile"
diff -u ports/games/ioquake3-devel.orig/distinfo ports/games/ioquake3-devel/distinfo
--- ports/games/ioquake3-devel.orig/distinfo	2010-01-04 20:17:56.000000000 +0100
+++ ports/games/ioquake3-devel/distinfo	2010-01-11 16:16:01.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (ioquake3-devel-1.36_SVN1754.zip) = 163fe62d8540244a9eda8af66ae62fb2
-SHA256 (ioquake3-devel-1.36_SVN1754.zip) = f743e4454bb445fd58188107ee0c36eb4ee3be0f9dce9667bec7516bec59136f
-SIZE (ioquake3-devel-1.36_SVN1754.zip) = 5017181
+MD5 (ioquake3-devel-1.36_SVN1771.zip) = 651a912a4cebb68f33a9f7fc63a3ec0e
+SHA256 (ioquake3-devel-1.36_SVN1771.zip) = 75aecab911f880e19d319c9e508fc4495b1d53e22207fae26d0a1b436817b4d9
+SIZE (ioquake3-devel-1.36_SVN1771.zip) = 4927089
diff -u ports/games/ioquake3-devel.orig/pkg-descr ports/games/ioquake3-devel/pkg-descr
--- ports/games/ioquake3-devel.orig/pkg-descr	2010-01-04 20:17:56.000000000 +0100
+++ ports/games/ioquake3-devel/pkg-descr	2010-01-05 15:53:21.000000000 +0100
@@ -1,11 +1,5 @@
-This project, icculus.org/quake3 (sometimes referred to ioquake3, or ioq3 for
-short) aims to build upon id Software's Quake 3 source code release. The
-source code was released on August 20, 2005 under the GPL. Since then, we have
-been cleaning up, fixing bugs, and adding features. Our permanent goal is to
-create the open source Quake 3 distribution upon which people base their games
-and projects. We also seek to have the perfect version of the engine for
-playing Quake 3: Arena, Team Arena, and all popular mods. This distribution of
-the engine has been ported to many new platforms and has had a slew of new
-features added, along with massive bug extermination.
+This port builds development snapshots of icculus.org/quake3. The project is
+known to seldomly produce releases. Due to the conservative development goals
+of the project, development snapshots are generally considered reliable.
 
 WWW: http://ioquake3.org/
Comment 2 pgollucci freebsd_committer 2010-01-12 01:02:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 3 pgollucci freebsd_committer 2010-01-15 03:03:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter freebsd_committer 2010-01-15 03:03:54 UTC
pgollucci    2010-01-15 03:03:45 UTC

  FreeBSD ports repository

  Modified files:
    games/ioquake3       Makefile pkg-descr 
    games/ioquake3-devel Makefile distinfo pkg-descr 
  Log:
  games/ioquake3:
    OPTIONS+=
             CURL "Enable cURL for http/ftp download" on \
             OPENAL "Enable OpenAL audio output" on \
             MUMBLE "Enable Mumble support (no dependencies)" on \
             VORBIS "Enable Ogg Vorbis support" on
  games/ioquake3-devel:
    Update to r1771
  
  PR:             ports/142712
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de> (maintainer)
  
  Revision  Changes    Path
  1.3       +2 -3      ports/games/ioquake3-devel/Makefile
  1.3       +3 -3      ports/games/ioquake3-devel/distinfo
  1.2       +3 -9      ports/games/ioquake3-devel/pkg-descr
  1.18      +26 -4     ports/games/ioquake3/Makefile
  1.4       +9 -3      ports/games/ioquake3/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"